QGIS Application - Bug report #2031
Mapserver WMS Postgis Layer with no local EXTENTS definition doesn't show up in QGIS
2009-10-26 04:10 AM - luca76 -

Status: Closed

Priority: Low

Assignee: Paolo Cavallini

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupts data: Copied to github as #: 12091
Description

| have a Mapserver configured for WMS.

If in the .map file there are some [[PostGIS]] layer,
you need to copy the EXTENT key on the mapfile definition on each [[PostGIS]] LAYER definition in the mapfile.

QGIS seems that is not able to detect the extend of a WMS layer of a [[PostGIS]] spatial table.

This problem doesn't occur with shapefiles.

History

#1 - 2010-06-12 12:43 AM - lvan Mincik

What is Your Mapserver version ?

| have tested this behavior in Mapserver 5.2.3 and discovered that without setting 'EXTENT' or 'wms_extent' for each [[PostGIS]] layer Mapserver is

providing incorrect 'BoundingBox?' values for the layer (At least in my case.) So it can be Mapserver issue.

#2 - 2010-06-12 12:52 AM - lvan Mincik

It may be related to these tickets:

http:/trac.osgeo.org/mapserver/ticket/1851

http:/trac.osgeo.org/mapserver/ticket/287

| think we can resolve this ticket as 'wontfix'.

#3 - 2010-06-27 01:17 PM - Jiirgen Fischer
- Resolution set to upstream
- Status changed from Open to Closed
